<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
  <title>Partition view</title>
  <script type="text/javascript">
function radio_invisibility(str)
{
  document.getElementById("opened").disabled = str;
  document.getElementById("closed").disabled = str;
  document.getElementById("mu100").disabled = str;
  document.getElementById("moff").disabled = str;
  document.getElementById("md100").disabled = str;
}

function radio_state(str)
{
  document.getElementById("opened").checked = str;
  document.getElementById("closed").checked = str;
  document.getElementById("mu100").checked = str;
  document.getElementById("moff").checked = str;
  document.getElementById("md100").checked = str;
}

function submit_visibility()
{
  if
  (
    ((document.getElementById("opened").checked) || (document.getElementById("closed").checked))
    && 
    ((document.getElementById("mu100").checked) || (document.getElementById("moff").checked) || (document.getElementById("md100").checked))
  )
  {
    document.getElementById("submit").disabled = false;
  }
  else if (document.getElementById("all_config").checked)
  {
    document.getElementById("submit").disabled = false;
  }
  else
  {
    document.getElementById("submit").disabled = true;
  }
}

function form_state()
{
  if (document.getElementById("partition").value == "SIMCOND")
  {
    if (document.getElementById("branches").checked)
	  {
	    document.getElementById("all_config").disabled = false;
	    if (document.getElementById("all_config").checked)
	    {
	      radio_state(false);
	      radio_invisibility(true);
	      submit_visibility();
	    }
	    else if (! document.getElementById("all_config").checked)
	    {
	      radio_invisibility(false);
	      submit_visibility();
	    } 
	  }
	  else if (document.getElementById("latest").checked)
      {
        document.getElementById("all_config").checked = false;
        document.getElementById("all_config").disabled = true;
        document.getElementById("submit").disabled = true;
        radio_state(false);
	    radio_invisibility(false);
      }
  }
  else
  {
    document.getElementById("all_config").checked = false;
    document.getElementById("all_config").disabled = true;
    document.getElementById("submit").disabled = false;
    radio_state(false);
    radio_invisibility(true);
  }
}
</script>
</head>

<body style="background-color:#C8C8DA" onload = "form_state();">

<center>
<table border=1 bgcolor="#5858AF" width="100%">
	<tr><td><center><h1>CondDB Partition</h1></center></td></tr>
</table>
</center>

<form method="get" action="../cgi-bin/presenter.cgi" name = "partition_view">
<br>
Please select a partition:
<br>
<br>
<center><select name="partition" id="partition" onchange="form_state();">
	<option value="DDDB" selected>DDDB</option>
	<option value="LHCBCOND">LHCBCOND</option>
	<option value="SIMCOND">SIMCOND</option>
</select></center>
<br>
Extract a dependency sequence for:
<br>
<br>
<input type="radio" name="search_mode" id="latest" value="from_latest" onchange="form_state();" checked>latest global tag</input><br>
<input type="radio" name="search_mode" id="branches" value="from_branches" onchange="form_state();">global tags branch</input>
<br>
<br>

<table width="100%" bgcolor="#C0C0C0">
	<tr>
	<td><div style="color:#800000"><i><small>'SIMCOND' specifications:</small></i></div><br></td>
	</tr>
	<tr>
	<td><input type="checkbox" name="all_config" id="all_config" value="all_config" onchange="form_state();"> All configurations</input></td>
	</tr>
	<tr>
	<td><b>Velo:</b></td>
	<td><b>Magnet polarity:</b></td>
	</tr>
	
	<tr>
	<td><input type="radio" name="velo_state" id="opened" value="vo" onchange = "submit_visibility();">Opened</input></td>
	<td><input type="radio" name="magnet_state" id="mu100" value="-mu100" onchange = "submit_visibility();">Up</input></td>
    </tr>
    
    <tr>
	<td><input type="radio" name="velo_state" id="closed" value="vc" onchange = "submit_visibility();">Closed</input></td>
	<td><input type="radio" name="magnet_state" id="moff" value="-moff" onchange = "submit_visibility();">Off</input></td>
    </tr>
    
    <tr>
	<td></td>
	<td><input type="radio" name="magnet_state" id="md100" value="-md100" onchange = "submit_visibility()">Down</input></td>
    </tr>
</table>
<br>
<center><input type="submit" id="submit" value="Analyze"></center>
</form>

</body>
</html>
